Index: trunk/psLib/test/runTest
===================================================================
--- trunk/psLib/test/runTest	(revision 1490)
+++ trunk/psLib/test/runTest	(revision 1545)
@@ -30,5 +30,5 @@
 #
 #  $Revison:  $  $Name: not supported by cvs2svn $
-#  $Date: 2004-08-11 23:42:49 $
+#  $Date: 2004-08-14 02:27:02 $
 #
 #  Copyright 2004 Maui High Performance Computering Center, University of Hawaii
@@ -48,5 +48,6 @@
 
 if ($help) {
-    print "Usage: runTest [--reset] [--resetStderr] [--resetStdout] testfile(s)\n\n";
+    print
+"Usage: runTest [--reset] [--resetStderr] [--resetStdout] testfile(s)\n\n";
     exit(0);
 }
@@ -124,8 +125,12 @@
             # Display failure message with return value to user
             if ( $? != 0 && ( $testFile !~ /^A/i ) ) {
-                print("        Failed - Test Driver expected 0 return value (Return value $?)\n");
+                print(
+"        Failed - Test Driver expected 0 return value (Return value $?)\n"
+                );
             }
             elsif ( $? == 0 && ( $testFile =~ /^A/i ) ) {
-                print("        Failed - Test Driver expected abort (Return value $?)\n");
+                print(
+"        Failed - Test Driver expected abort (Return value $?)\n"
+                );
             }
             $exitValue |= 256;
@@ -144,5 +149,5 @@
             open( MODFILE2, "> verified/$testFile.stdout" ) if $resetStdout;
 
-            # Replace the variable date, time and host information with constants
+           # Replace the variable date, time and host information with constants
             $hostname = `hostname`;
             chop $hostname;
@@ -153,7 +158,8 @@
                 s/: Line \d+/: Line <LINENO>/g;
                 s/\:\d+/\:<LINENO>/g;
-
-                # Filter lines with malloc.  This is an artifact of memory testing
-                # with the Mac testbed
+                s/allocate \d+ bytes at/allocate <N> bytes at/g;
+
+              # Filter lines with malloc.  This is an artifact of memory testing
+              # with the Mac testbed
                 if ( !m/\*\*\*\smalloc/ ) {
                     print MODFILE ($_);
@@ -176,5 +182,5 @@
             open( MODFILE2, "> verified/$testFile.stderr" ) if $resetStderr;
 
-            # Replace the variable date, time and host information with constants
+           # Replace the variable date, time and host information with constants
             while (<OUTFILE>) {
                 s/\s+\d+:\d+:\d+\w/<TIME>/g;
@@ -183,7 +189,8 @@
                 s/: Line \d+/: Line <LINENO>/g;
                 s/\:\d+/\:<LINENO>/g;
-
-                # Filter lines with malloc.  This is an artifact of memory testing
-                # with the Mac testbed
+                s/allocate \d+ bytes at/allocate <N> bytes at/g;
+
+              # Filter lines with malloc.  This is an artifact of memory testing
+              # with the Mac testbed
                 if ( !m/\*\*\*\smalloc/ ) {
                     print MODFILE ($_);
@@ -226,5 +233,7 @@
         # Since test driver doesn't exist or is not executable then display
         # message to user.
-        print("        Need to specify an executable test file within directory.\n");
+        print(
+"        Need to specify an executable test file within directory.\n"
+        );
 
         # Exit value set to indicate test driver doesn't exist or not executable
@@ -279,9 +288,13 @@
         {
             if ( $fileName =~ m/out/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 64;
             }
             elsif ( $fileName =~ m/err/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 128;
             }
